Bug 186858 - RME Hammerfall DSP detected but doesn't work without firmware.
RME Hammerfall DSP detected but doesn't work without firmware.
Status: CLOSED DUPLICATE of bug 217259
Product: Fedora
Classification: Fedora
Component: alsa-tools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On: 217259
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 22:40 EST by Tim Mayberry
Modified: 2008-05-06 14:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Mayberry 2006-03-26 22:40:54 EST
Description of problem:

There are a number of audio devices that are supported by ALSA that require
firmware in order to function at all. I have such a device made by
http://www.rme-audio.com/ called the Hammerfall DSP that I've used successfully
with fedora in the past.

In saying that in order to get it working I have had to install ALSA packages
from an external package repository such as Planet CCRMA
http://ccrma.stanford.edu/planetccrma/software/ as the ALSA packages they
provide have the necessary alsa-tools and alsa-firmware packages that are
lacking in fedora core/extras in order for this device to work.

I recently installed Fedora Core 5 and tried to get this device working with the
ALSA packages provided but was unable to do so. During the installation of FC5,
the device was able to be detected by anaconda but as the device does not work
without first uploading the firmware testing audio output failed.

Once installation was complete I installed the alsa-tools package from the
fedora extras repository as the alsa-tools package available from the ALSA
website contains three utilities specifically created for this device which are
hdspmixer, hdspconf and hdsploader. To my surprise the alsa-tools package
contains the hdspmixer and hdspconf utilities that are designed to control the
device but not the hdsploader utility which is used to upload the firmware so
you can install the tools used to control the device but as the device doesn't
work without the firmware they are useless. In saying that the hdsploader
program would also be useless without the firmware that is provided by the
non-existant alsa-firmware package.

So I'm wondering why alsa-firmware ftp://ftp.alsa-project.org/pub/firmware/ is
not packaged, is it a licensing issue or just a packaging problem/oversight?

Why the hdspmixer and hdspconf utilities are included in the alsa-tools package
if the device does not work without the firmware package?

How can I help in order to make this device work "Out of the Box" with fedora or
at least less painless as the way that alsa-tools is currently partially
packaged seems wrong and confusing.

I'd imagine this bug effects other audio devices that depend on firmware
contained in the alsa-firmware package.

How reproducible:

Buy an RME Hammerfall DSP(yeah right! $$$)

Steps to Reproduce:
1. Install card and attach external hardware
2. Install Fedora Core 5
3. Try to use the Hammerfall DSP sound device.
  
Actual results:

Over an hour of head scratching, alsa-tools package rebuilding and then finally
just installing the necessary parts of ALSA from the source packages. 

Expected results:

That the device works.

Additional Info:

Sorry I'm not sure if this is the right component for this bug.
Comment 1 Paul Davis 2006-03-27 08:50:14 EST
hdsploader is now of less use than it once was - apparently the driver checks
for the presence of the firmware at each open operation, and uses the
hotplug/udev subsystems to load it if necessary. however, this still requires
that the firmware be present, and according to rpmfind and other net searches,
there have been no fedora packages of alsa-firmware since FC1. 

Planet CCRMA at stanford continues to package alsa-firmware for FC, so there are
no technical issues in doing so.
Comment 2 Thorsten Leemhuis 2006-04-02 09:53:04 EDT
FYI, there were concerns in the past that the files from alsa-firmware were not
suitable for Extras -- see 143249. Some things have changed over time. Maybe it
is now. I'll try to get this integrated again.

(In reply to comment #1)
> Planet CCRMA at stanford continues to package alsa-firmware for FC, so there are
> no technical issues in doing so.

Well, FC5 has no hotplug anymore, this might be a bit proplematic. But I don't
have hardware to test it :-/
Comment 3 Nicolas Mailhot 2006-11-12 17:41:09 EST
If you want I have a freshly updated spec - I have a beast that needs this
(manufacturer  got hardware and info to the alsa dev, so the firmware should be
legit). Not RME but E-MU, same problem
Comment 4 Tim Jackson 2006-11-25 20:47:34 EST
see bug #217259 for a new review request of alsa-firmware
Comment 5 Tim Jackson 2007-04-19 05:40:33 EDT
If anyone wants to review alsa-firmware we can close this :)
In the meantime does anyone object to resolving as a duplicate of #217259?
Comment 6 Bug Zapper 2008-04-03 22:17:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:39:31 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Tim Jackson 2008-05-06 14:52:31 EDT

*** This bug has been marked as a duplicate of 217259 ***

Note You need to log in before you can comment on or make changes to this bug.